Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.domino
Class Contact

    java.lang.Object
      com.compoze.domino.AbstractItem
          com.compoze.domino.AbstractDocument
              com.compoze.domino.AddressEntry
                  com.compoze.domino.Contact

All Implemented Interfaces:
  java.io.Serializable

public class Contact
extends AddressEntry
implements java.io.Serializable

This class is a Domino personal contact. Personal contact instances are obtained from the `Documents` class. Methods that access properites on the class require that the properties were loaded beforehand, when the contact was initially retrieved. Any methods in this class that begin with the string `server` make a query to the server, and require that the `PropertyKey.DOCUMENT_ID` and `PropertyKey.DOCUMENT_TYPE` properties to be loaded beforehand. Any additional property requirements are indicated on each individual method.

See Also:
  `Documents.serverCreateContact(PropertyValue[])`, Serialized Form

Field Summary
`static PropertyKey[]` | `ALL_PROPS` Contains an array of all of the properties available on a contact.

Fields inherited from class com.compoze.domino.AbstractItem
`m_props, m_session`

Method Summary
`java.lang.String` | `getAddress()` Gets the address for this contact.
`java.lang.String` | `getAssistant()` Gets the assistant of the contact.
`java.util.Date` | `getBirthday()` Gets the birthday of the contact.
`java.lang.String` | `getBirthdayString(java.text.DateFormat dateFormat)` Gets the birthday of the contact using the date format.
`java.lang.String` | `getCellPhoneNumber()` Gets the cell phone number of the contact.
`java.lang.String` | `getChildren()` Gets the children of the contact.
`java.lang.String` | `getComment()` Gets the comment of the contact.
`java.lang.String` | `getCompanyName()` Gets the company name of the contact.
`java.lang.String` | `getDepartment()` Gets the department of the contact.
`java.lang.String` | `getDisplayName()` Gets the display name of the contact.
`java.lang.String` | `getEmailAddress()` Gets the email address of the contact.
`java.lang.String` | `getFirstName()` Gets the first name of the contact.
`java.lang.String` | `getFullName()` Gets the full name of the contact.
`java.lang.String` | `getHomeAddress()` Gets the home address of the contact.
`java.lang.String` | `getHomeCity()` Gets the home city of the contact.
`java.lang.String` | `getHomeCountry()` Gets the home country of the contact.
`java.lang.String` | `getHomeFaxPhoneNumber()` Gets the home fax phone number of the contact.
`java.lang.String` | `getHomePhoneNumber()` Gets the home phone number of the contact.
`java.lang.String` | `getHomeState()` Gets the home state of the contact.
`java.lang.String` | `getHomeStreetAddress()` Gets the home street address of the contact.
`java.lang.String` | `getHomeZip()` Gets the home zip of the contact.
`java.lang.String` | `getJobTitle()` Gets the job title of the contact.
`java.lang.String` | `getLastName()` Gets the last name of the contact.
`java.lang.String` | `getLocation()` Gets the location of the contact.
`java.lang.String` | `getManager()` Gets the manager of the contact.
`java.lang.String` | `getMiddleInitial()` Gets the middle initial of the contact.
`java.lang.String` | `getOfficeAddress()` Gets the office address of the contact.
`java.lang.String` | `getOfficeCity()` Gets the office city of the contact.
`java.lang.String` | `getOfficeCountry()` Gets the office country of the contact.
`java.lang.String` | `getOfficeFaxPhoneNumber()` Gets the office fax phone number of the contact.
`java.lang.String` | `getOfficePhoneNumber()` Gets the office phone number of the contact.
`java.lang.String` | `getOfficeState()` Gets the office state of the contact.
`java.lang.String` | `getOfficeStreetAddress()` Gets the office street address of the contact.
`java.lang.String` | `getOfficeZip()` Gets the office zip of the contact.
`java.lang.String` | `getPager()` Gets the pager of the contact.
`java.lang.String` | `getPhoneLabel1()` Gets the phone label 1 for the contact.
`java.lang.String` | `getPhoneLabel2()` Gets the phone label 2 for the contact.
`java.lang.String` | `getPhoneLabel3()` Gets the phone label 3 for the contact.
`java.lang.String` | `getPhoneLabel4()` Gets the phone label 4 for the contact.
`java.lang.String` | `getPhoneLabel5()` Gets the phone label 5 for the contact.
`java.lang.String` | `getPhoneLabel6()` Gets the phone label 6 for the contact.
`java.lang.String` | `getPhoneticName()` Gets the phonetic name of the contact.
`java.lang.String` | `getShortName()` Gets the short name of the contact.
`java.lang.String` | `getSpouse()` Gets the spouse of the contact.
`java.lang.String` | `getSuffix()` Gets the suffix of the contact, for example 'Jr', 'Sr', 'III'.
`java.lang.String` | `getTitle()` Gets the title of the contact.
`java.lang.String` | `getWebSite()` Gets the web site of the contact.
`void` | `serverDelete()` Hits the server to delete the contact.
`void` | `setAssistant(java.lang.String sAssistant)` Sets the assistant of the contact.
`void` | `setBirthday(java.util.Date birthday)` Sets the birthday of the contact.
`void` | `setCellPhoneNumber(java.lang.String sCellPhoneNumber)` Sets the cell phone number of the contact.
`void` | `setChildren(java.lang.String sChildren)` Sets the children of the contact.
`void` | `setComment(java.lang.String sComment)` Sets the comment of the contact.
`void` | `setCompanyName(java.lang.String sCompanyName)` Sets the company name of the contact.
`void` | `setDepartment(java.lang.String sDepartment)` Sets the department of the contact.
`void` | `setEmailAddress(java.lang.String sEmailAddress)` Sets the email address of the contact.
`void` | `setFirstName(java.lang.String sFirstName)` Sets the first name of the contact.
`void` | `setFullName(java.lang.String sFullName)` Sets the full name of the contact.
`void` | `setHomeAddress(java.lang.String sHomeAddress)` Sets the home address of the contact.
`void` | `setHomeCity(java.lang.String sHomeCity)` Sets the home city of the contact.
`void` | `setHomeCountry(java.lang.String sHomeCountry)` Sets the home country of the contact.
`void` | `setHomeFaxPhoneNumber(java.lang.String sHomeFaxPhoneNumber)` Sets the home fax phone number of the contact.
`void` | `setHomePhoneNumber(java.lang.String sHomePhoneNumber)` Sets the home phone number of the contact.
`void` | `setHomeState(java.lang.String sHomeState)` Sets the home state of the contact.
`void` | `setHomeStreetAddress(java.lang.String sHomeStreetAddress)` Sets the home street address of the contact.
`void` | `setHomeZip(java.lang.String sHomeZip)` Sets the home zip of the contact.
`void` | `setJobTitle(java.lang.String sJobTitle)` Sets the job title of the contact.
`void` | `setLastName(java.lang.String sLastName)` Sets the last name of the contact.
`void` | `setLocation(java.lang.String sLocation)` Sets the location of the contact.
`void` | `setManager(java.lang.String sManager)` Sets the manager of the contact.
`void` | `setMiddleInitial(java.lang.String sMiddleInitial)` Sets the middle initial of the contact.
`void` | `setName(java.lang.String sTitle, java.lang.String sFirstName, java.lang.String sMiddleInitial, java.lang.String sLastName, java.lang.String sSuffix)` Sets the full name property for the contact.
`void` | `setOfficeAddress(java.lang.String sOfficeAddress)` Sets the office address of the contact.
`void` | `setOfficeCity(java.lang.String sOfficeCity)` Sets the office city of the contact.
`void` | `setOfficeCountry(java.lang.String sOfficeCountry)` Sets the office country of the contact.
`void` | `setOfficeFaxPhoneNumber(java.lang.String sOfficeFaxPhoneNumber)` Sets the office fax phone number of the contact.
`void` | `setOfficePhoneNumber(java.lang.String sOfficePhoneNumber)` Sets the office phone number of the contact.
`void` | `setOfficeState(java.lang.String sOfficeState)` Sets the office state of the contact.
`void` | `setOfficeStreetAddress(java.lang.String sOfficeStreetAddress)` Sets the office street address of the contact.
`void` | `setOfficeZip(java.lang.String sOfficeZip)` Sets the office zip of the contact.
`void` | `setPager(java.lang.String sPager)` Sets the pager of the contact.
`void` | `setPhoneLabel1(java.lang.String sPhoneLabel1)` Sets the phone label 1 for the contact.
`void` | `setPhoneLabel2(java.lang.String sPhoneLabel2)` Sets the phone label 2 for the contact.
`void` | `setPhoneLabel3(java.lang.String sPhoneLabel3)` Sets the phone label 3 for the contact.
`void` | `setPhoneLabel4(java.lang.String sPhoneLabel4)` Sets the phone label 4 for the contact.
`void` | `setPhoneLabel5(java.lang.String sPhoneLabel5)` Sets the phone label 5 for the contact.
`void` | `setPhoneLabel6(java.lang.String sPhoneLabel6)` Sets the phone label 6 for the contact.
`void` | `setPhoneticName(java.lang.String sName)` Sets the phonetic name of the contact.
`void` | `setShortName(java.lang.String sShortName)` Sets the short name of the contact.
`void` | `setSpouse(java.lang.String sSpouse)` Sets the spouse of the contact.
`void` | `setSuffix(java.lang.String sSuffix)` Sets the suffix of the contact.
`void` | `setTitle(java.lang.String sTitle)` Sets the title of the contact.
`void` | `setWebSite(java.lang.String sWebSite)` Sets the web site of the contact.

Methods inherited from class com.compoze.domino.AbstractDocument
`getAttachmentCount, getAttachmentInfo, getAttachmentInfoArray, getDateCreated, getDateCreatedString, getDateModified, getDateModifiedString, getDocumentType, getEmbeddedImageCount, getEmbeddedImageInfo, getEmbeddedImageInfoArray, getID, getParentID, getSize, getSizeInKilos, hasAttachment, serverAddAttachment, serverCopyTo, serverDeleteAttachment, serverMoveTo, serverUpdate`

Methods inherited from class com.compoze.domino.AbstractItem
`get, getBoolean, getDate, getDateArray, getDouble, getInt, getPropertyKeys, getString, getStringArray, getUpdatedPropertyValues, set, setBoolean, setDate, setDouble, setInt, setString, setStringArray`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ALL_PROPS

    public static final PropertyKey[] ALL_PROPS

  Contains an array of all of the properties available on a contact. Although this can be used when specifying property keys to retrieve, it's preferable to only specify the keys that are required as the number of properties that are pulled back from the server has a direct impact on performance.

Method Detail

### getPhoneticName

    public java.lang.String getPhoneticName()
                                     throws DominoException

  Gets the phonetic name of the contact.

  Returns:
    the phonetic name of the contact
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.PHONETIC_NAME`

### setPhoneticName

    public void setPhoneticName(java.lang.String sName)
                         throws DominoException

  Sets the phonetic name of the contact.

  Parameters:
    `sName` - the phonetic name
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.PHONETIC_NAME`

### getAssistant

    public java.lang.String getAssistant()
                                  throws DominoException

  Gets the assistant of the contact.

  Returns:
    the assistant of the contact
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.ASSISTANT`

### setAssistant

    public void setAssistant(java.lang.String sAssistant)
                      throws DominoException

  Sets the assistant of the contact.

  Parameters:
    `sAssistant` - the assistant
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.ASSISTANT`

### getOfficePhoneNumber

    public java.lang.String getOfficePhoneNumber()
                                          throws DominoException

  Gets the office phone number of the contact.

  Returns:
    the office phone number of the contact
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.OFFICE_PHONE_NUMBER`, `setPhoneLabel1(String)`, `getPhoneLabel1()`

### setOfficePhoneNumber

    public void setOfficePhoneNumber(java.lang.String sOfficePhoneNumber)
                              throws DominoException

  Sets the office phone number of the contact.

  Parameters:
    `sOfficePhoneNumber` - the office phone number of the contact
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.OFFICE_PHONE_NUMBER`, `setPhoneLabel1(String)`, `getPhoneLabel1()`

### getPhoneLabel1

    public java.lang.String getPhoneLabel1()
                                    throws DominoException

  Gets the phone label 1 for the contact.

  Returns:
    the phone label 1 for the contact
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.PHONE_LABEL_1`

### setPhoneLabel1

    public void setPhoneLabel1(java.lang.String sPhoneLabel1)
                        throws DominoException

  Sets the phone label 1 for the contact.

  Parameters:
    `sPhoneLabel1` - the phone label 1 for the contact
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.PHONE_LABEL_1`

### getPhoneLabel2

    public java.lang.String getPhoneLabel2()
                                    throws DominoException

  Gets the phone label 2 for the contact.

  Returns:
    the phone label 2 for the contact
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.PHONE_LABEL_2`

### setPhoneLabel2

    public void setPhoneLabel2(java.lang.String sPhoneLabel2)
                        throws DominoException

  Sets the phone label 2 for the contact.

  Parameters:
    `sPhoneLabel2` - the phone label 2 for the contact
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.PHONE_LABEL_2`

### getPhoneLabel3

    public java.lang.String getPhoneLabel3()
                                    throws DominoException

  Gets the phone label 3 for the contact.

  Returns:
    the phone label 3 for the contact
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.PHONE_LABEL_3`

### setPhoneLabel3

    public void setPhoneLabel3(java.lang.String sPhoneLabel3)
                        throws DominoException

  Sets the phone label 3 for the contact.

  Parameters:
    `sPhoneLabel3` - the phone label 3 for the contact
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.PHONE_LABEL_3`

### getPhoneLabel4

    public java.lang.String getPhoneLabel4()
                                    throws DominoException

  Gets the phone label 4 for the contact.

  Returns:
    the phone label 4 for the contact
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.PHONE_LABEL_4`

### setPhoneLabel4

    public void setPhoneLabel4(java.lang.String sPhoneLabel4)
                        throws DominoException

  Sets the phone label 4 for the contact.

  Parameters:
    `sPhoneLabel4` - the phone label 4 for the contact
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.PHONE_LABEL_4`

### getPhoneLabel5

    public java.lang.String getPhoneLabel5()
                                    throws DominoException

  Gets the phone label 5 for the contact.

  Returns:
    the phone label 5 for the contact
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.PHONE_LABEL_5`

### setPhoneLabel5

    public void setPhoneLabel5(java.lang.String sPhoneLabel5)
                        throws DominoException

  Sets the phone label 5 for the contact.

  Parameters:
    `sPhoneLabel5` - the phone label 5 for the contact
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.PHONE_LABEL_5`

### getPhoneLabel6

    public java.lang.String getPhoneLabel6()
                                    throws DominoException

  Gets the phone label 6 for the contact.

  Returns:
    the phone label 6 for the contact
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.PHONE_LABEL_6`

### setPhoneLabel6

    public void setPhoneLabel6(java.lang.String sPhoneLabel6)
                        throws DominoException

  Sets the phone label 6 for the contact.

  Parameters:
    `sPhoneLabel6` - the phone label 6 for the contact
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.PHONE_LABEL_6`

### getHomePhoneNumber

    public java.lang.String getHomePhoneNumber()
                                        throws DominoException

  Gets the home phone number of the contact.

  Returns:
    the home phone number of the contact
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.HOME_PHONE_NUMBER`, `setPhoneLabel2(String)`, `getPhoneLabel2()`

### setHomePhoneNumber

    public void setHomePhoneNumber(java.lang.String sHomePhoneNumber)
                            throws DominoException

  Sets the home phone number of the contact.

  Parameters:
    `sHomePhoneNumber` - the home phone number of the contact
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.HOME_PHONE_NUMBER`, `setPhoneLabel2(String)`, `getPhoneLabel2()`

### getOfficeFaxPhoneNumber

    public java.lang.String getOfficeFaxPhoneNumber()
                                             throws DominoException

  Gets the office fax phone number of the contact.

  Returns:
    the office fax phone number of the contact
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.OFFICE_FAX_PHONE_NUMBER`, `setPhoneLabel3(String)`, `getPhoneLabel3()`

### setOfficeFaxPhoneNumber

    public void setOfficeFaxPhoneNumber(java.lang.String sOfficeFaxPhoneNumber)
                                 throws DominoException

  Sets the office fax phone number of the contact.

  Parameters:
    `sOfficeFaxPhoneNumber` - the office fax phone number of the contact
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.OFFICE_FAX_PHONE_NUMBER`, `setPhoneLabel3(String)`, `getPhoneLabel3()`

### getHomeFaxPhoneNumber

    public java.lang.String getHomeFaxPhoneNumber()
                                           throws DominoException

  Gets the home fax phone number of the contact.

  Returns:
    the home fax phone number of the contact
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.HOME_FAX_PHONE_NUMBER`, `setPhoneLabel4(String)`, `getPhoneLabel4()`

### setHomeFaxPhoneNumber

    public void setHomeFaxPhoneNumber(java.lang.String sHomeFaxPhoneNumber)
                               throws DominoException

  Sets the home fax phone number of the contact.

  Parameters:
    `sHomeFaxPhoneNumber` - the home fax phone number of the contact
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.HOME_FAX_PHONE_NUMBER`, `setPhoneLabel4(String)`, `getPhoneLabel4()`

### getCellPhoneNumber

    public java.lang.String getCellPhoneNumber()
                                        throws DominoException

  Gets the cell phone number of the contact.

  Returns:
    the cell phone number of the contact
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.CELL_PHONE_NUMBER`, `setPhoneLabel5(String)`, `getPhoneLabel5()`

### setCellPhoneNumber

    public void setCellPhoneNumber(java.lang.String sCellPhoneNumber)
                            throws DominoException

  Sets the cell phone number of the contact.

  Parameters:
    `sCellPhoneNumber` - the cell phone number of the contact
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.CELL_PHONE_NUMBER`, `setPhoneLabel5(String)`, `getPhoneLabel5()`

### getPager

    public java.lang.String getPager()
                              throws DominoException

  Gets the pager of the contact.

  Returns:
    the pager of the contact
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.PAGER`, `setPhoneLabel6(String)`, `getPhoneLabel6()`

### setPager

    public void setPager(java.lang.String sPager)
                  throws DominoException

  Sets the pager of the contact.

  Parameters:
    `sPager` - the pager of the contact
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.PAGER`, `setPhoneLabel6(String)`, `getPhoneLabel6()`

### getCompanyName

    public java.lang.String getCompanyName()
                                    throws DominoException

  Gets the company name of the contact.

  Returns:
    the company name of the contact
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.COMPANY_NAME`

### setCompanyName

    public void setCompanyName(java.lang.String sCompanyName)
                        throws DominoException

  Sets the company name of the contact.

  Parameters:
    `sCompanyName` - the company name of the contact
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.COMPANY_NAME`

### getComment

    public java.lang.String getComment()
                                throws DominoException

  Gets the comment of the contact.

  Returns:
    the comment of the contact
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.COMMENT`

### setComment

    public void setComment(java.lang.String sComment)
                    throws DominoException

  Sets the comment of the contact.

  Parameters:
    `sComment` - the comment of the contact
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.COMMENT`

### getChildren

    public java.lang.String getChildren()
                                 throws DominoException

  Gets the children of the contact.

  Returns:
    the children of the contact
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.CHILDREN`

### setChildren

    public void setChildren(java.lang.String sChildren)
                     throws DominoException

  Sets the children of the contact.

  Parameters:
    `sChildren` - the children of the contact
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.CHILDREN`

### getDepartment

    public java.lang.String getDepartment()
                                   throws DominoException

  Gets the department of the contact.

  Returns:
    the department of the contact
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.DEPARTMENT`

### setDepartment

    public void setDepartment(java.lang.String sDepartment)
                       throws DominoException

  Sets the department of the contact.

  Parameters:
    `sDepartment` - the department of the contact
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.DEPARTMENT`

### getManager

    public java.lang.String getManager()
                                throws DominoException

  Gets the manager of the contact.

  Returns:
    the manager of the contact
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.MANAGER`

### setManager

    public void setManager(java.lang.String sManager)
                    throws DominoException

  Sets the manager of the contact.

  Parameters:
    `sManager` - the manager of the contact
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.MANAGER`

### getJobTitle

    public java.lang.String getJobTitle()
                                 throws DominoException

  Gets the job title of the contact.

  Returns:
    the job title of the contact
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.JOB_TITLE`

### setJobTitle

    public void setJobTitle(java.lang.String sJobTitle)
                     throws DominoException

  Sets the job title of the contact.

  Parameters:
    `sJobTitle` - the job title of the contact
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.JOB_TITLE`

### getLocation

    public java.lang.String getLocation()
                                 throws DominoException

  Gets the location of the contact.

  Returns:
    the location of the contact
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.LOCATION`

### setLocation

    public void setLocation(java.lang.String sLocation)
                     throws DominoException

  Sets the location of the contact.

  Parameters:
    `sLocation` - the location of the contact
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.LOCATION`

### getSpouse

    public java.lang.String getSpouse()
                               throws DominoException

  Gets the spouse of the contact.

  Returns:
    the spouse of the contact
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.SPOUSE`

### setSpouse

    public void setSpouse(java.lang.String sSpouse)
                   throws DominoException

  Sets the spouse of the contact.

  Parameters:
    `sSpouse` - the spouse of the contact
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.SPOUSE`

### getFirstName

    public java.lang.String getFirstName()
                                  throws DominoException

  Gets the first name of the contact.

  Returns:
    the first name of the contact
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.FIRST_NAME`

### setName

    public void setName(java.lang.String sTitle,
                        java.lang.String sFirstName,
                        java.lang.String sMiddleInitial,
                        java.lang.String sLastName,
                        java.lang.String sSuffix)
                 throws DominoException

  Sets the full name property for the contact. This method may be used in place of setTitle(), setFirstName(), setMiddleInitial(), setLastName(), setSuffix() and setFullName() to conveniently initialize these to the correct values for the contact's name. The properties are set as follows:

       Title - set to title
       FirstName - set to given name
       MiddleInitial - set to middle initial
       LastName - set to last name (surname)
       Suffix - set to generation (generation)
       FullName - set to "Title First (Middle) Last Suffix"

  Parameters:
    `sTitle` - the title (for example, Mr., Mrs. or Dr.) (may be `null`)
    `sFirstName` - the first name for the contact (may be `null`)
    `sMiddleInitial` - the middle initial for the contact (may be `null`)
    `sLastName` - the last name for the contact (may be `null`)
    `sSuffix` - the suffix (for example, Jr., Sr, or Esq.) (may be `null`)
  Throws:
    `DominoException`
  See Also:
    `setTitle(String)`, `setFirstName(String)`, `setMiddleInitial(String)`, `setLastName(String)`, `setSuffix(String)`

### setFirstName

    public void setFirstName(java.lang.String sFirstName)
                      throws DominoException

  Sets the first name of the contact.

  Parameters:
    `sFirstName` - the first name of the contact
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.FIRST_NAME`

### getLastName

    public java.lang.String getLastName()
                                 throws DominoException

  Gets the last name of the contact.

  Returns:
    the last name of the contact
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.LAST_NAME`

### setLastName

    public void setLastName(java.lang.String sLastName)
                     throws DominoException

  Sets the last name of the contact.

  Parameters:
    `sLastName` - the last name of the contact
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.LAST_NAME`

### getShortName

    public java.lang.String getShortName()
                                  throws DominoException

  Gets the short name of the contact.

  Returns:
    the short name of the contact
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.SHORT_NAME`

### setShortName

    public void setShortName(java.lang.String sShortName)
                      throws DominoException

  Sets the short name of the contact.

  Parameters:
    `sShortName` - the short name of the contact
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.SHORT_NAME`

### getFullName

    public java.lang.String getFullName()
                                 throws DominoException

  Gets the full name of the contact.

  Returns:
    the full name of the contact
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.FULL_NAME`

### setFullName

    public void setFullName(java.lang.String sFullName)
                     throws DominoException

  Sets the full name of the contact.

  Parameters:
    `sFullName` - the full name of the contact
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.FULL_NAME`

### getDisplayName

    public java.lang.String getDisplayName()
                                    throws DominoException

  Gets the display name of the contact. This will return the full name (if available) or a combination of the first, middle and last name, depending on what is set and available.

  Specified by:
    `getDisplayName` in class `AddressEntry`
  Returns:
    the display name of the contact
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.FIRST_NAME`, `PropertyKey.LAST_NAME`, `PropertyKey.MIDDLE_INITIAL`, `PropertyKey.FULL_NAME`, `PropertyKey.TITLE`, `PropertyKey.SUFFIX`

### getMiddleInitial

    public java.lang.String getMiddleInitial()
                                      throws DominoException

  Gets the middle initial of the contact.

  Returns:
    the middle initial of the contact
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.MIDDLE_INITIAL`

### setMiddleInitial

    public void setMiddleInitial(java.lang.String sMiddleInitial)
                          throws DominoException

  Sets the middle initial of the contact.

  Parameters:
    `sMiddleInitial` - the middle initial of the contact
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.MIDDLE_INITIAL`

### getWebSite

    public java.lang.String getWebSite()
                                throws DominoException

  Gets the web site of the contact.

  Returns:
    the web site of the contact
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.WEB_SITE`

### setWebSite

    public void setWebSite(java.lang.String sWebSite)
                    throws DominoException

  Sets the web site of the contact.

  Parameters:
    `sWebSite` - the web site of the contact
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.WEB_SITE`

### getSuffix

    public java.lang.String getSuffix()
                               throws DominoException

  Gets the suffix of the contact, for example 'Jr', 'Sr', 'III'.

  Returns:
    the suffix of the contact
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.SUFFIX`, `Suffix`

### setSuffix

    public void setSuffix(java.lang.String sSuffix)
                   throws DominoException

  Sets the suffix of the contact.

  Parameters:
    `sSuffix` - the suffix of the contact
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.SUFFIX`, `Suffix`

### getTitle

    public java.lang.String getTitle()
                              throws DominoException

  Gets the title of the contact.

  Returns:
    the title of the contact
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.TITLE`, `Title`

### setTitle

    public void setTitle(java.lang.String sTitle)
                  throws DominoException

  Sets the title of the contact.

  Parameters:
    `sTitle` - the title of the contact
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.TITLE`, `Title`

### getHomeAddress

    public java.lang.String getHomeAddress()
                                    throws DominoException

  Gets the home address of the contact.

  Returns:
    the home address of the contact
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.HOME_ADDRESS`

### setHomeAddress

    public void setHomeAddress(java.lang.String sHomeAddress)
                        throws DominoException

  Sets the home address of the contact.

  Parameters:
    `sHomeAddress` - the home address of the contact
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.HOME_ADDRESS`

### getOfficeAddress

    public java.lang.String getOfficeAddress()
                                      throws DominoException

  Gets the office address of the contact.

  Returns:
    the office address of the contact
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.OFFICE_ADDRESS`

### setOfficeAddress

    public void setOfficeAddress(java.lang.String sOfficeAddress)
                          throws DominoException

  Sets the office address of the contact.

  Parameters:
    `sOfficeAddress` - the office address of the contact
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.OFFICE_ADDRESS`

### getOfficeStreetAddress

    public java.lang.String getOfficeStreetAddress()
                                            throws DominoException

  Gets the office street address of the contact.

  Returns:
    the office street address of the contact
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.OFFICE_STREET_ADDRESS`

### setOfficeStreetAddress

    public void setOfficeStreetAddress(java.lang.String sOfficeStreetAddress)
                                throws DominoException

  Sets the office street address of the contact.

  Parameters:
    `sOfficeStreetAddress` - the office street address of the contact
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.OFFICE_STREET_ADDRESS`

### getOfficeCity

    public java.lang.String getOfficeCity()
                                   throws DominoException

  Gets the office city of the contact.

  Returns:
    the office city of the contact
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.OFFICE_CITY`

### setOfficeCity

    public void setOfficeCity(java.lang.String sOfficeCity)
                       throws DominoException

  Sets the office city of the contact.

  Parameters:
    `sOfficeCity` - the office city of the contact
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.OFFICE_CITY`

### getOfficeState

    public java.lang.String getOfficeState()
                                    throws DominoException

  Gets the office state of the contact.

  Returns:
    the office state of the contact
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.OFFICE_STATE`

### setOfficeState

    public void setOfficeState(java.lang.String sOfficeState)
                        throws DominoException

  Sets the office state of the contact.

  Parameters:
    `sOfficeState` - the office state of the contact
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.OFFICE_STATE`

### getOfficeZip

    public java.lang.String getOfficeZip()
                                  throws DominoException

  Gets the office zip of the contact.

  Returns:
    the office zip of the contact
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.OFFICE_ZIP`

### setOfficeZip

    public void setOfficeZip(java.lang.String sOfficeZip)
                      throws DominoException

  Sets the office zip of the contact.

  Parameters:
    `sOfficeZip` - the office zip of the contact
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.OFFICE_ZIP`

### getHomeZip

    public java.lang.String getHomeZip()
                                throws DominoException

  Gets the home zip of the contact.

  Returns:
    the home zip of the contact
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.HOME_ZIP`

### setHomeZip

    public void setHomeZip(java.lang.String sHomeZip)
                    throws DominoException

  Sets the home zip of the contact.

  Parameters:
    `sHomeZip` - the home zip of the contact
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.HOME_ZIP`

### getOfficeCountry

    public java.lang.String getOfficeCountry()
                                      throws DominoException

  Gets the office country of the contact.

  Returns:
    the office country of the contact
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.OFFICE_COUNTRY`

### setOfficeCountry

    public void setOfficeCountry(java.lang.String sOfficeCountry)
                          throws DominoException

  Sets the office country of the contact.

  Parameters:
    `sOfficeCountry` - the office country of the contact
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.OFFICE_COUNTRY`

### getHomeCountry

    public java.lang.String getHomeCountry()
                                    throws DominoException

  Gets the home country of the contact.

  Returns:
    the home country of the contact
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.HOME_COUNTRY`

### setHomeCountry

    public void setHomeCountry(java.lang.String sHomeCountry)
                        throws DominoException

  Sets the home country of the contact.

  Parameters:
    `sHomeCountry` - the home country of the contact
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.HOME_COUNTRY`

### getHomeCity

    public java.lang.String getHomeCity()
                                 throws DominoException

  Gets the home city of the contact.

  Returns:
    the home city of the contact
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.HOME_CITY`

### setHomeCity

    public void setHomeCity(java.lang.String sHomeCity)
                     throws DominoException

  Sets the home city of the contact.

  Parameters:
    `sHomeCity` - the home city of the contact
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.HOME_CITY`

### getHomeState

    public java.lang.String getHomeState()
                                  throws DominoException

  Gets the home state of the contact.

  Returns:
    the home state of the contact
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.HOME_STATE`

### setHomeState

    public void setHomeState(java.lang.String sHomeState)
                      throws DominoException

  Sets the home state of the contact.

  Parameters:
    `sHomeState` - the home state of the contact
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.HOME_STATE`

### getHomeStreetAddress

    public java.lang.String getHomeStreetAddress()
                                          throws DominoException

  Gets the home street address of the contact.

  Returns:
    the home street address of the contact
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.HOME_STREET_ADDRESS`

### setHomeStreetAddress

    public void setHomeStreetAddress(java.lang.String sHomeStreetAddress)
                              throws DominoException

  Sets the home street address of the contact.

  Parameters:
    `sHomeStreetAddress` - the home street address of the contact
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.HOME_STREET_ADDRESS`

### getBirthday

    public java.util.Date getBirthday()
                               throws DominoException

  Gets the birthday of the contact.

  Returns:
    the birthday of the contact
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.BIRTHDAY`

### getBirthdayString

    public java.lang.String getBirthdayString(java.text.DateFormat dateFormat)
                                       throws DominoException

  Gets the birthday of the contact using the date format. If the birthday is not set, an empty string is returned.

  Returns:
    the birthday of the contact
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.BIRTHDAY`

### setBirthday

    public void setBirthday(java.util.Date birthday)
                     throws DominoException

  Sets the birthday of the contact.

  Parameters:
    `birthday` - the birthday of the contact
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.BIRTHDAY`

### getEmailAddress

    public java.lang.String getEmailAddress()
                                     throws DominoException

  Gets the email address of the contact.

  Returns:
    the email address of the contact
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.EMAIL_ADDRESS`

### getAddress

    public java.lang.String getAddress()
                                throws DominoException

  Gets the address for this contact.

  Specified by:
    `getAddress` in class `AddressEntry`
  Returns:
    the address
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.EMAIL_ADDRESS`, `getEmailAddress()`

### setEmailAddress

    public void setEmailAddress(java.lang.String sEmailAddress)
                         throws DominoException

  Sets the email address of the contact.

  Parameters:
    `sEmailAddress` - the email address of the contact
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.EMAIL_ADDRESS`

### serverDelete

    public void serverDelete()
                      throws DominoException

  Hits the server to delete the contact.

  Throws:
    `DominoException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.